------------------------------------------------------------------------------------
--Name：     210207[简体征服][活动脚本]全球愚人节活动-剧情引导
--Creator:      傅伟龙
--Created:     2021-02-07
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>170


-- 设置摄像机指向位置(网格坐标)

------------------------------------------------------------



CppScriptMgr:SetViewPosByCell(368,370);
CppScriptMgr:WaitMilSec(500);
local effectObj1 = CppScriptMgr:AddEffect( "jsb_gst01_app", 368, 370);
CppScriptMgr:WaitMilSec(50);
local effectObj2 = CppScriptMgr:AddEffect( "jsb_gst01_app", 376, 380);
CppScriptMgr:WaitMilSec(50);
local effectObj3 = CppScriptMgr:AddEffect( "jsb_gst01_app", 375, 378);
CppScriptMgr:WaitMilSec(50);
local effectObj4 = CppScriptMgr:AddEffect( "jsb_gst01_app", 371, 377);
CppScriptMgr:WaitMilSec(500);

local effectObj8 = CppScriptMgr:AddEffect( "zf2-e361", 368,368);
CppScriptMgr:WaitMilSec(100);
local General4 = CppScriptMgr:AddPlayer(315,368,368, "SwordSpirit",4003000008	,1) ;
General4:SetDir(4);
CppScriptMgr:WaitMilSec(100);

local effectObj7 = CppScriptMgr:AddEffect( "zf2-e361", 377,370);
CppScriptMgr:WaitMilSec(100);
local General3 = CppScriptMgr:AddPlayer(315,377,370, "SwordSpirit",4003000007,1) ;
General3:SetDir(4);
CppScriptMgr:WaitMilSec(100);

local effectObj5 = CppScriptMgr:AddEffect( "zf2-e361", 373, 373);
CppScriptMgr:WaitMilSec(100);
local General1 = CppScriptMgr:AddPlayer(315,373,373, "SwordSpirit",4003000005,1) ;
General1:SetDir(4);
CppScriptMgr:WaitMilSec(100);

local effectObj6 = CppScriptMgr:AddEffect( "zf2-e361", 371,374);
CppScriptMgr:WaitMilSec(100);
local General2 = CppScriptMgr:AddPlayer(315,371,377, "SwordSpirit",4003000006,1) ;
General2:SetDir(4);
CppScriptMgr:WaitMilSec(100);

local effectObj9 = CppScriptMgr:AddEffect( "zf2-e361", 375,377);
CppScriptMgr:WaitMilSec(100);
local General5 = CppScriptMgr:AddPlayer(315,375,379, "SwordSpirit",4003000009,1) ;
General5:SetDir(4);
CppScriptMgr:WaitMilSec(100);

for i = 1,10 do
	CppScriptMgr:SetViewPosByCell(368,370+i);
	CppScriptMgr:WaitMilSec(25);
end

for i = 1,5 do
	CppScriptMgr:SetViewPosByCell(368+i,381+i);
	CppScriptMgr:WaitMilSec(25);
end

local effectObj10 = CppScriptMgr:AddEffect( "zf2-e361", 374,383);
CppScriptMgr:WaitMilSec(100);
local General6 = CppScriptMgr:AddPlayer(315,374,383, "SwordSpirit",4003000010	,1) ;
General6:SetDir(4);
CppScriptMgr:WaitMilSec(100);

local effectObj11 = CppScriptMgr:AddEffect( "zf2-e361", 377,388);
CppScriptMgr:WaitMilSec(100);
local General7 = CppScriptMgr:AddPlayer(315,377,388, "SwordSpirit",4003000011,1) ;
General7:SetDir(4);
CppScriptMgr:WaitMilSec(100);

local effectObj12 = CppScriptMgr:AddEffect( "zf2-e361", 373,390);
CppScriptMgr:WaitMilSec(100);
local General8 = CppScriptMgr:AddPlayer(315,373,390, "SwordSpirit",4003000012,1) ;
General8:SetDir(4);
CppScriptMgr:WaitMilSec(100);

local effectObj13 = CppScriptMgr:AddEffect( "zf2-e361", 378,393);
CppScriptMgr:WaitMilSec(100);
local General9 = CppScriptMgr:AddPlayer(315,378,393, "SwordSpirit",4003000013,1) ;
General9:SetDir(4);
CppScriptMgr:WaitMilSec(100);

local effectObj14 = CppScriptMgr:AddEffect( "zf2-e361", 383,395);
CppScriptMgr:WaitMilSec(100);
local General10 = CppScriptMgr:AddPlayer(315,383,395, "SwordSpirit",4003000014,1) ;
General10:SetDir(4);
CppScriptMgr:WaitMilSec(100);

CppScriptMgr:WaitMilSec(100);
CppScriptMgr:NpcCallOut("    The spirits of the sword settles on the Dash Path. Go to the end of the path to find Yuan Sword.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "AncientRuler", 250, 655)


CppScriptMgr:WaitMilSec(1000);




